<link href="https://fonts.googleapis.com/css?family=Open+Sans:400,700" rel="stylesheet">
<link rel="stylesheet" href="/m/animate.css">

<script>
	var user = <?= json_encode($this->user) ?>;
</script>

<?php
	// < Escort Packages >
	$escort_packages = $this->escort_packages;
	$package_purchase_not_allowed = (count($this->escort_packages) > 1);

	// available gotd dates
	$available_gotd_dates = array();
	$now = time();
	$today = strtotime("midnight", $now);
	echo '<span type="hidden" value="'.$today.'" id="234234234234">';
	foreach ($escort_packages as $package) {
		for ($i = 0; $i <= $package['period']; $i++) {
			if ( $today <= strtotime($package['date_activated'] . ' + ' . $i . ' days')) {
				$available_gotd_dates[] = date('Y-m-d', 
					strtotime($package['date_activated'] . ' + ' . $i . ' days'));
			}
		}
	}

	// available gotd dates
	$available_votd_dates = array();
	
	foreach ($escort_packages as $package) {
		for ($i = 0; $i <= $package['period']; $i++) {
			if ($today <= strtotime($package['date_activated'] . ' + ' . $i . ' days')) {
				$available_votd_dates[] = date('Y-m-d', 
					strtotime($package['date_activated'] . ' + ' . $i . ' days'));
			}
		}
	}
	// < Escort Packages >
?>

<input type="hidden" value="<?= $this->escort_id?>" id="agencyEscortId">
<input type="hidden" value="<?= json_encode($this->sedcardPackages) ?>" id="sedcardPackages">
<input type="hidden" value="<?= json_encode($this->dayPassesPackages) ?>" id="dayPassesPackages">
<input type="hidden" value="<?= $this->additionalAreaPrice ?>" id="additionalAreaPrice">
<input type="hidden" value="<?= $this->gotdPrice ?>" id="gotdPrice">
<input type="hidden" value="<?= $this->votdPrice ?>" id="votdPrice">
<input type="hidden" value="<?= $this->lang() ?>" id="language">
<input type="hidden" value="<?= implode(',', $available_gotd_dates) ?>" id="availableGotdDates">
<input type="hidden" value="<?= implode(',', $available_votd_dates) ?>" id="availableVotdDates">
<input type="hidden" value="<?= $this->has_approved_video ? 1 : 0?>" id="hasApprovedVideo">


<div class="agency-online-billing package-selection">
	<h2 class="title"><?= __('m_ob_escort_title')?></h2>

	<p class="sub-title"><?= __('m_ob_escort_sub_title')?></p>
	<?php if (!$package_purchase_not_allowed && !$this->gotd && !$this->votd): ?>
		<div class="packages-container">
			<!-- Day Passes -->
			<?php foreach($this->day_passes_list as $day_pass): ?>
			<a href="#" data-id="<?= $day_pass['id'] ?>" data-price="<?= $day_pass['price'] ?>" data-crypto-price="<?= $day_pass['crypto_price'] ?>"  data-duration="<?= $day_pass['period'] ?>">
				<span class="package-title">
					<?= __('ob4_select_escort_package_' . $day_pass['id'] . '_name') ?>
				</span>
				<span class="package-sub-title">
					<?= __('ob4_select_escort_dur_' . $day_pass['id']) ?>,
					chf <?= $day_pass['price']?>
				</span>
			</a>
			<?php endforeach; ?>
			<!-- / Day Passes -->
			
			<!-- Sedcards -->
			<?php foreach($this->packages_list as $package): ?>
			<a href="#" data-id="<?= $package['id'] ?>" data-price="<?= $package['price'] ?>" data-crypto-price="<?= $package['crypto_price'] ?>"  data-duration="<?= $package['period'] ?>">
				<span class="package-title">
					<?= __('ob4_select_escort_package_' . $package['id'] . '_name') ?>
				</span>
				<span class="package-sub-title">
					<?= __('ob4_select_escort_dur_' . $package['id']) ?>,
					chf <?= $package['price']?>
				</span>
			</a>
			<?php endforeach; ?>
			<!-- / Sedcards -->
		</div>

		<div class="package-details-container">
			<div id="locationDisable">
				<a href="#" class="location" id="locationBtn"><?= __('m_ob_location')?></a>
			</div>

			<a href="#" class="start-time" id="startTimeBtn"><?= __('m_ob_start_time')?></a>
		</div>
	<?php endif; ?>
		<div class="clear"></div>
		<div class="gotd-container" <?= $this->votd ? 'style="display:none;"' : ''?> >
			<a href="#" class="gotd-button" id="gotdBtn"><?= __('m_ob_add_gotd')?></a>
		</div>
		<div class="votd-container" <?= $this->gotd ? 'style="display:none;"' : ''?> >
			<a href="#" class="votd-button" id="votdBtn"><?= __('m_ob_add_votd')?></a>
		</div>

	<div class="clear"></div>

	<div class="summary-container" id="summaryContainer">
		<span class="summary-title"><?= __('m_ob_summary')?></span>
		<span class="summary-sub-title"><span class="count-amount"></span><?= __('m_ob_tap_for_details')?></span>
		<div class="selected-items">
		</div>
	</div>

	<div class="next-step-button-container">
		<a href="#" class="next-step-button"><?= __('m_ob_goto_next_step')?></a>
	</div>

</div>

<style>
    #wrap { height: auto !important; padding-bottom: 180px !important; }
</style>

<?php if ($this->existing_cart) :?>
<script>
	var existingCart = <?= json_encode($this->existing_cart)?>
</script>
<?php endif; ?>